Debian Bug report logs - #667435
live-boot-initramfs-tools: Using kernel parameter nfsopts results in an incorrect invocation of nfsmount

version graph

Package: live-boot-initramfs-tools; Maintainer for live-boot-initramfs-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot-initramfs-tools is src:live-boot.

Reported by: Andy Smith <andy@strugglers.net>

Date: Wed, 4 Apr 2012 02:21:02 UTC

Severity: normal

Found in version live-boot/2.0.15-1

Fixed in version live-boot/3.0~a26-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#667435; Package live-boot-initramfs-tools. (Wed, 04 Apr 2012 02:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Smith <andy@strugglers.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 04 Apr 2012 02:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andy Smith <andy@strugglers.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot-initramfs-tools: Using kernel parameter nfsopts results in an incorrect invocation of nfsmount
Date: Wed, 04 Apr 2012 01:43:44 +0000
Package: live-boot-initramfs-tools
Version: 2.0.15-1
Severity: wishlist

If the Linux kernel parameter "nfsopts" is used then scripts/live ends
up calling nfsmount incorrectly.

nfsmount is invoked like so:

    nfsmount -o nolock -o ro ${NFSOPTS} "${NFSROOT}" "${mountpoint}" && rc=0 && break

If, for example, a kernel command line like this is used:

    root=/dev/nfs hostname=rescue boot=live config nfsroot=192.168.80.243:/srv/rescue nfsopts=tcp

then that results in the following being invoked:

    nfsmount -o nolock -o ro tcp 192.168.80.243:/srv/rescue /live/image && rc=0 && break

This is a syntax error and results in a failed boot. Hacking a "-o "
onto the front of NFSOPTS works, if NFSOPTS is set.

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot-initramfs-tools depends on:
ii  busybox                       1:1.17.1-8 Tiny utilities for small and embed
ii  initramfs-tools               0.98.8     tools for generating an initramfs
ii  udev                          164-3      /dev/ and hotplug management daemo

live-boot-initramfs-tools recommends no packages.

live-boot-initramfs-tools suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#667435; Package live-boot-initramfs-tools. (Wed, 04 Apr 2012 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 04 Apr 2012 08:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 667435@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andy Smith <andy@strugglers.net>
Cc: 667435@bugs.debian.org
Subject: Re: Bug#667435: live-boot-initramfs-tools: Using kernel parameter nfsopts results in an incorrect invocation of nfsmount
Date: Wed, 04 Apr 2012 10:51:37 +0200
severity 667435 normal
tag 667435 pending
thanks

On 04/04/2012 03:43 AM, Andy Smith wrote:
> If the Linux kernel parameter "nfsopts" is used then scripts/live ends
> up calling nfsmount incorrectly.

fixed in git, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'normal' from 'wishlist' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:54:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 04 Apr 2012 08:54:16 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 06:51:08 GMT) Full text and rfc822 format available.

Notification sent to Andy Smith <andy@strugglers.net>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 06:51:08 GMT) Full text and rfc822 format available.

Message #19 received at 667435-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 667435-close@bugs.debian.org
Subject: Bug#667435: fixed in live-boot 3.0~a26-1
Date: Thu, 05 Apr 2012 06:47:23 +0000
Source: live-boot
Source-Version: 3.0~a26-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a26-1_all.deb
live-boot-initramfs-tools_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a26-1_all.deb
live-boot_3.0~a26-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a26-1.debian.tar.gz
live-boot_3.0~a26-1.dsc
  to main/l/live-boot/live-boot_3.0~a26-1.dsc
live-boot_3.0~a26-1_all.deb
  to main/l/live-boot/live-boot_3.0~a26-1_all.deb
live-boot_3.0~a26.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 08:14:51 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a26-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 665689 667435
Changes: 
 live-boot (3.0~a26-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating year in copyright.
   * Updating copyright file machine-readable format version 1.0.
   * Updating to standards version 3.9.3.
   * Quoting noprompt variable in initscript to avoid syntax errors,
     thanks to Philip Newborough <corenominal@corenominal.org>.
   * Correcting log_end_msg usages in connection with verbosity checks in
     live-boot initscript, thanks to Pablo Barbachano
     <pablobarbachano@yahoo.es> (Closes: #665689).
   * Replacing live-boot initscript with a stub and moving the actual
     code to /lib/live/boot.sh to allow different initsystem support in
     future.
   * Removing some of the now useless sysvinit specifics from
     bin/boot.sh.
 .
   [ Tails developers ]
   * Adding initial work on a custom mounts system.
 .
   [ Daniel Baumann ]
   * Correcting indenting initial work on a custom mounts system to
     ensure consistency.
   * Avoid calling rm without -f in initial work on a custom mounts
     system to ensure non-interactivity.
   * Avoid '==' bashism in initial work on a custom mounts system to
     ensure posix compatiblity.
 .
   [ Tails developers ]
   * Prevent custom mounting in /live.
   * Optionally symlink files from persistent source instead of mount it.
   * Separate overlay labels for full and custom persistence.
   * Remove some temporary custom mount related files after they're used.
 .
   [ Daniel Baumann ]
   * Calling rm without -f when removing some temporary custom mount
     related files to ensure non-interactivity.
 .
   [ Tails developers ]
   * Handle custom mounts options a bit more beautifully.
   * Continue the correct for-loop so incorrect custom mount is skipped.
   * Refactor union mounting into its own function.
   * Workaround busybox's inability to detect symlinks with [ -e ].
   * Make union mounting more sensible and robust.
   * Ignore empty lines in live.persist.
   * Remove the correct file.
   * Optionally mount custom mounts as unions.
   * Fix mask usage in links_files().
 .
   [ Daniel Baumann ]
   * Correcting syntax when using if constructs in links_files().
 .
   [ Tails developers ]
   * Refactor persistent custom mounting from live into live-helpers.
   * Accept using several persistent media with custom-ov label.
   * Use same device backing path as used in other places.
   * Close unused LUKS devices in all cases.
 .
   [ Daniel Baumann ]
   * Adjusting mount calls when using nfs options (Closes: #667435).
 .
   [ Tails developers ]
   * Refactor live-boot argument parser from live into live-helpers.
   * Refactor some global variables from live into live-helpers.
   * Refactor find_persistent_media().
   * Add support for probing partitions' GPT name just like filesystem
     labels.
   * Some minor cleanups.
   * Handle already mounted devices and closing of unused luks devices
     better.
   * Add backwards compatibility for old labels: live-{rw,sn} and home-
     rw.
   * We don't black list storage devices any more.
   * Check if luks device is already open before trying to open it.
   * Fixup some style issues.
   * Refactor mounting of persistent storage media.
   * Cleanup.
   * Remove two FIXME:s that are not really relevant.
   * Don't allow . or .. in live.persist paths.
   * Use trim_path when we compare paths.
   * Make handling of LUKS encrypted GPT partitions more sane.
   * Handle list arguments better in get_custom_mounts().
   * Copy ownership/perms from source to rw-branch in read-only mode.
   * Change live.persist syntax to "SOURCE [DEST [OPTIONS...]]".
   * Refactor closing of persistent devices upon failure.
   * Create the source dir for custom mounts using the 'linkfiles'
     option.
   * Fix ownership/perms for created union/linkfiles source dirs.
   * Do not allow mutually exclusive custom mount options.
   * Add a note about a potential, future code simplification.
   * Greatly simplify live.persist syntax to "DIR [OPTIONS...]".
   * Make trim_path() handle "/", and arbitrarily many consecutive /:es.
   * Make two custom mounts with nested source directories illegal.
   * Improve error message.
   * Remove cow dir contents that are in the way for custom mounts.
   * Also create parents when creating union/linkfiles source
     directories.
   * Update live-boot(7) man page and add new one for live.persist(5).
   * Delete existing files in the destination's path when creating it.
   * Adding functions equivalent to chmod/chown --reference.
   * Fix ownership for links created for linkfiles custom mounts.
   * Add 'bind' option for the default behaviour of custom mounts (bind-
     mount).
   * Use trim_path() instead of custom sed stanza to trim /:es from
     paths.
   * Copy perms/ownership from source when creating linkfiles dest dirs.
   * Make cases for all different custom mounting situations more
     explicit.
 .
   [ Daniel Baumann ]
   * Correcting left-over in author section of live.persist manpage.
   * Moving initscript to live-config.
Checksums-Sha1: 
 7222642ca00517e9680e0096c97fb363473a21c7 1386 live-boot_3.0~a26-1.dsc
 a6c5ecb495014489f7200bc7a9afd26dff199957 129914 live-boot_3.0~a26.orig.tar.gz
 7daca1aac53743d4149d48ba2be7f8358ed21e60 20485 live-boot_3.0~a26-1.debian.tar.gz
 d5fea5dd3760508f3ff670cfeac0dcf8fe9448fb 19982 live-boot_3.0~a26-1_all.deb
 a3e81778c75a8d670b22b1f699de08e951c71dc5 74164 live-boot-doc_3.0~a26-1_all.deb
 997510cc6c33ad76951dc40a0e2fb061e8412544 40858 live-boot-initramfs-tools_3.0~a26-1_all.deb
Checksums-Sha256: 
 7b6a104012e05c3ad950827711f3641572f012cdf3bc1d372b30791b1f69ca57 1386 live-boot_3.0~a26-1.dsc
 b1a582e45a749739204019d1a5a80612875fe149eab0041ea66f832bc4e15e1e 129914 live-boot_3.0~a26.orig.tar.gz
 a113df250b39edd953bf23a3d25ca2df65f867c0e1137d0a0d9b38b8bf9da008 20485 live-boot_3.0~a26-1.debian.tar.gz
 6db8dd328998799ae69841df79e46f07241edf1002806dcd58214bb237bac05c 19982 live-boot_3.0~a26-1_all.deb
 bf66381e6f92dc917f270488fd1756c4da139bf6c507751fbc3a0cf101659f2b 74164 live-boot-doc_3.0~a26-1_all.deb
 8e24aef86464976187246f5412bd8c74e102c3a57aae35a15ed87e32213543a3 40858 live-boot-initramfs-tools_3.0~a26-1_all.deb
Files: 
 28f1045bbb817c24071bea46bb5add29 1386 misc optional live-boot_3.0~a26-1.dsc
 7ca777ca88a3dca3b1087915cf9e82f0 129914 misc optional live-boot_3.0~a26.orig.tar.gz
 9ee505834839e8af181c5fa4b1091f04 20485 misc optional live-boot_3.0~a26-1.debian.tar.gz
 8002d6c47a5ce9a868e093267fa3cea6 19982 misc optional live-boot_3.0~a26-1_all.deb
 168f55aaac4c877875ee35206b759b42 74164 doc optional live-boot-doc_3.0~a26-1_all.deb
 1e300306cc27420dd8289547e135691b 40858 misc optional live-boot-initramfs-tools_3.0~a26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk99PRsACgkQ+C5cwEsrK54KtgCfSts0GVCIjLR47z7SjzgqQHKk
6XgAoOBGDEktPfaUeiGFG2acTlY/jF0a
=LI4u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:27:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:13:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.